Index: trunk/Include/OAIdl.ab
===================================================================
--- trunk/Include/OAIdl.ab	(revision 478)
+++ trunk/Include/OAIdl.ab	(revision 497)
@@ -4,7 +4,4 @@
 
 #require <objidl.sbp>
-
-#ifndef __IOleAutomationTypes_INTERFACE_DEFINED__
-#define __IOleAutomationTypes_INTERFACE_DEFINED__
 
 /* interface IOleAutomationTypes */
@@ -788,13 +785,6 @@
 TypeDef LPCUSTDATA = *CUSTDATA
 
-#endif /* __IOleAutomationTypes_INTERFACE_DEFINED__ */
-
-#ifndef __ICreateTypeInfo_INTERFACE_DEFINED__
-#define __ICreateTypeInfo_INTERFACE_DEFINED__
-
 /* interface ICreateTypeInfo */
 /* [local][unique][uuid][object] */
-
-TypeDef LPCREATETYPEINFO = * /* [unique] */ ICreateTypeInfo
 
 Dim IID_ICreateTypeInfo = [&h00020405, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -866,13 +856,6 @@
 End Interface
 
-#endif 	/* __ICreateTypeInfo_INTERFACE_DEFINED__ */
-
-#ifndef __ICreateTypeInfo2_INTERFACE_DEFINED__
-#define __ICreateTypeInfo2_INTERFACE_DEFINED__
-
 /* interface ICreateTypeInfo2 */
 /* [local][unique][uuid][object] */
-
-TypeDef LPCREATETYPEINFO2 = /* [unique] */ *ICreateTypeInfo2
 
 Dim IID_ICreateTypeInfo2 = [&h0002040E, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -925,14 +908,6 @@
 End Interface
 
-#endif 	/* __ICreateTypeInfo2_INTERFACE_DEFINED__ */
-
-
-#ifndef __ICreateTypeLib_INTERFACE_DEFINED__
-#define __ICreateTypeLib_INTERFACE_DEFINED__
-
 /* interface ICreateTypeLib */
 /* [local][unique][uuid][object] */
-
-TypeDef LPCREATETYPELIB = /* [unique] */ *ICreateTypeLib
 
 Dim IID_ICreateTypeLib = [&h00020406, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -964,14 +939,6 @@
 End Interface
 
-#endif 	/* __ICreateTypeLib_INTERFACE_DEFINED__ */
-
-#ifndef __ICreateTypeLib2_INTERFACE_DEFINED__
-#define __ICreateTypeLib2_INTERFACE_DEFINED__
-
 /* interface ICreateTypeLib2 */
 /* [local][unique][uuid][object] */
-
-TypeDef LPCREATETYPELIB2 = /* [unique] */ *ICreateTypeLib2
-
 
 Dim IID_ICreateTypeLib2 = [&h0002040F, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -991,14 +958,6 @@
 End Interface
 
-
-#endif 	/* __ICreateTypeLib2_INTERFACE_DEFINED__ */
-
-#ifndef __IDispatch_INTERFACE_DEFINED__
-#define __IDispatch_INTERFACE_DEFINED__
-
 /* interface IDispatch */
 /* [unique][uuid][object] */
-
-Typedef LPDISPATCH = /* [unique] */ *IDispatch
 
 Const DISPID_UNKNOWN = -1
@@ -1047,13 +1006,6 @@
 End Interface
 
-#endif 	/* __IDispatch_INTERFACE_DEFINED__ */
-
-#ifndef __IEnumVARIANT_INTERFACE_DEFINED__
-#define __IEnumVARIANT_INTERFACE_DEFINED__
-
 /* interface IEnumVARIANT */
 /* [unique][uuid][object] */
-
-Typedef LPENUMVARIANT = /* [unique] */ *IEnumVARIANT
 
 Dim IID_IEnumVARIANT = [&h00020404, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -1074,13 +1026,6 @@
 End Interface
 
-#endif 	/* __IEnumVARIANT_INTERFACE_DEFINED__ */
-
-#ifndef __ITypeComp_INTERFACE_DEFINED__
-#define __ITypeComp_INTERFACE_DEFINED__
-
 /* interface ITypeComp */
 /* [unique][uuid][object] */
-
-TypeDef LPTYPECOMP = /* [unique] */ *ITypeComp
 
 /* [v1_enum] */
@@ -1126,13 +1071,6 @@
 End Interface
 
-#endif 	/* __ITypeComp_INTERFACE_DEFINED__ */
-
-#ifndef __ITypeInfo_INTERFACE_DEFINED__
-#define __ITypeInfo_INTERFACE_DEFINED__
-
 /* interface ITypeInfo */
 /* [unique][uuid][object] */
-
-TypeDef LPTYPEINFO = /* [unique] */ *ITypeInfo
 
 Dim IID_ITypeInfo = [&h00020401, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -1211,13 +1149,6 @@
 End Interface
 
-#endif 	/* __ITypeInfo_INTERFACE_DEFINED__ */
-
-#ifndef __ITypeInfo2_INTERFACE_DEFINED__
-#define __ITypeInfo2_INTERFACE_DEFINED__
-
 /* interface ITypeInfo2 */
 /* [unique][uuid][object] */
-
-TypeDef LPTYPEINFO2 = /* [unique] */ *ITypeInfo2
 
 Dim IID_ITypeInfo2 = [&h00020412, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -1279,9 +1210,4 @@
 		/* [out] */ ByRef CustData As CUSTDATA) As HRESULT
 End Interface
-
-#endif 	/* __ITypeInfo2_INTERFACE_DEFINED__ */
-
-#ifndef __ITypeLib_INTERFACE_DEFINED__
-#define __ITypeLib_INTERFACE_DEFINED__
 
 /* interface ITypeLib */
@@ -1356,14 +1282,6 @@
 End Interface
 
-#endif 	/* __ITypeLib_INTERFACE_DEFINED__ */
-
-
-#ifndef __ITypeLib2_INTERFACE_DEFINED__
-#define __ITypeLib2_INTERFACE_DEFINED__
-
 /* interface ITypeLib2 */
 /* [unique][uuid][object] */
-
-TypeDef LPTYPELIB2 = /* [unique] */ *ITypeLib2
 
 Dim IID_ITypeLib2 = [&h00020411, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -1379,23 +1297,15 @@
 		/* [out] */ ByRef chUniqueNames As DWord) As HRESULT
 	/* [local] */ Function GetDocumentation2(
-            /* [in] */ index As Long,
-            /* [in] */ lcid As LCID,
-            /* [out] */ ByRef bstrHelpString As BSTR,
-            /* [out] */ ByRef dwHelpStringContext As DWord,
-            /* [out] */ ByRef bstrHelpStringDll As BSTR) As HRESULT
+		/* [in] */ index As Long,
+		/* [in] */ lcid As LCID,
+		/* [out] */ ByRef bstrHelpString As BSTR,
+		/* [out] */ ByRef dwHelpStringContext As DWord,
+		/* [out] */ ByRef bstrHelpStringDll As BSTR) As HRESULT
 	Function GetAllCustData(
 		/* [out] */ ByRef CustData As CUSTDATA) As HRESULT
 End Interface
 
-#endif 	/* __ITypeLib2_INTERFACE_DEFINED__ */
-
-
-#ifndef __ITypeChangeEvents_INTERFACE_DEFINED__
-#define __ITypeChangeEvents_INTERFACE_DEFINED__
-
 /* interface ITypeChangeEvents */
 /* [local][unique][uuid][object] */
-
-TypeDef LPTYPECHANGEEVENTS = /* [unique] */ *ITypeChangeEvents
 
 Enum CHANGEKIND
@@ -1426,14 +1336,6 @@
 End Interface
 
-#endif 	/* __ITypeChangeEvents_INTERFACE_DEFINED__ */
-
-
-#ifndef __IErrorInfo_INTERFACE_DEFINED__
-#define __IErrorInfo_INTERFACE_DEFINED__
-
 /* interface IErrorInfo */
 /* [unique][uuid][object] */
-
-TypeDef LPERRORINFO = /* [unique] */ *IErrorInfo
 
 Dim IID_IErrorInfo = [&h1CF2B120, &h547D, &h101B, [&h8E, &h65, &h08, &h00, &h2B, &h2B, &hD1, &h19]] As IID
@@ -1454,10 +1356,4 @@
 End Interface
 
-#endif 	/* __IErrorInfo_INTERFACE_DEFINED__ */
-
-
-#ifndef __ICreateErrorInfo_INTERFACE_DEFINED__
-#define __ICreateErrorInfo_INTERFACE_DEFINED__
-
 /* interface ICreateErrorInfo */
 /* [unique][uuid][object] */
@@ -1482,15 +1378,7 @@
 End Interface
 
-#endif 	/* __ICreateErrorInfo_INTERFACE_DEFINED__ */
-
-
-#ifndef __ISupportErrorInfo_INTERFACE_DEFINED__
-#define __ISupportErrorInfo_INTERFACE_DEFINED__
-
 /* interface ISupportErrorInfo */
 /* [unique][uuid][object] */
 
-TypeDef LPSUPPORTERRORINFO = /* [unique] */ *ISupportErrorInfo
-
 Dim IID_ISupportErrorInfo = [&hDF0B3D60, &h548F, &h101B, [&h8E, &h65, &h08, &h00, &h2B, &h2B, &hD1, &h19]] As IID
 
@@ -1501,10 +1389,4 @@
 		/* [in] */ ByRef riid As IID) As HRESULT
 End Interface
-
-#endif 	/* __ISupportErrorInfo_INTERFACE_DEFINED__ */
-
-
-#ifndef __ITypeFactory_INTERFACE_DEFINED__
-#define __ITypeFactory_INTERFACE_DEFINED__
 
 /* interface ITypeFactory */
@@ -1521,10 +1403,4 @@
 		/* [iid_is][out] */ ByRef pv As IUnknown) As HRESULT
 End Interface
-
-#endif 	/* __ITypeFactory_INTERFACE_DEFINED__ */
-
-
-#ifndef __ITypeMarshal_INTERFACE_DEFINED__
-#define __ITypeMarshal_INTERFACE_DEFINED__
 
 /* interface ITypeMarshal */
@@ -1558,14 +1434,6 @@
 End Interface
 
-#endif 	/* __ITypeMarshal_INTERFACE_DEFINED__ */
-
-
-#ifndef __IRecordInfo_INTERFACE_DEFINED__
-#define __IRecordInfo_INTERFACE_DEFINED__
-
 /* interface IRecordInfo */
 /* [uuid][object][local] */
-
-TypeDef LPRECORDINFO = /* [unique] */ *IRecordInfo
 
 Dim IID_IRecordInfo = [&h0000002F, &h0000, &h0000, [&hC0, &h00, &h00, &h00, &h00, &h00, &h00, &h46]] As IID
@@ -1621,14 +1489,6 @@
 End Interface
 
-#endif 	/* __IRecordInfo_INTERFACE_DEFINED__ */
-
-
-#ifndef __IErrorLog_INTERFACE_DEFINED__
-#define __IErrorLog_INTERFACE_DEFINED__
-
 /* interface IErrorLog */
 /* [unique][uuid][object] */
-
-TypeDef LPERRORLOG = *IErrorLog
 
 Dim IID_IErrorLog = [&h3127CA40, &h446E, &h11CE, [&h81, &h35, &h00, &hAA, &h00, &h4B, &hB8, &h51]] As IID
@@ -1642,14 +1502,6 @@
 End Interface
 
-#endif 	/* __IErrorLog_INTERFACE_DEFINED__ */
-
-
-#ifndef __IPropertyBag_INTERFACE_DEFINED__
-#define __IPropertyBag_INTERFACE_DEFINED__
-
 /* interface IPropertyBag */
 /* [unique][uuid][object] */
-
-TypeDef LPPROPERTYBAG = *IPropertyBag
 
 Dim IID_IPropertyBag = [&h55272A00, &h42CB, &h11CE, [&h81, &h35, &h00, &hAA, &h00, &h4B, &hB8, &h51]] As IID
@@ -1667,5 +1519,2 @@
 		/* [in] */ ByRef Var As VARIANT) As HRESULT
 End Interface
-
-#endif 	/* __IPropertyBag_INTERFACE_DEFINED__ */
-