Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Enum.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Enum.h	(revision 504)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Enum.h	(revision 505)
@@ -1,5 +1,3 @@
 #pragma once
-
-#include <Namespace.h>
 
 class EnumMember
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Namespace.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Namespace.h	(revision 504)
+++ 	(revision )
@@ -1,124 +1,0 @@
-#pragma once
-
-#include <vector>
-#include <string>
-#include <boost/foreach.hpp>
-
-#include <BoostSerializationSupport.h>
-
-using namespace std;
-
-class NamespaceScopes : public vector<string>
-{
-	// XMLシリアライズ用
-private:
-	friend class boost::serialization::access;
-	template<class Archive> void serialize(Archive& ar, const unsigned int version)
-	{
-		ar & boost::serialization::make_nvp("vector_string", boost::serialization::base_object<vector<string>>(*this));
-	}
-
-
-public:
-	NamespaceScopes(){}
-	NamespaceScopes( const string &namespaceStr );
-	~NamespaceScopes(){}
-
-	string ToString() const
-	{
-		string namespaceStr;
-		const vector<string> &me = *this;
-
-		bool isFirst = true;
-		BOOST_FOREACH( const string &itemStr, me ){
-			if( isFirst ){
-				isFirst = false;
-			}
-			else{
-				namespaceStr += ".";
-			}
-
-			namespaceStr += itemStr;
-		}
-		return namespaceStr;
-	}
-
-	// 等しいかをチェック
-	bool IsEqual( const string &name ) const
-	{
-		if( ToString() == name ){
-			return true;
-		}
-		return false;
-	}
-
-	// 等しいかをチェック
-	bool IsEqual( const NamespaceScopes &namespaceScopes ) const
-	{
-		if( ToString() == namespaceScopes.ToString() ){
-			return true;
-		}
-		return false;
-	}
-
-	// 所属しているかをチェック
-	// 例:
-	// baseNamespaceScopes =  "Discoversoft"
-	// entryNamespaceScopes = "Discoversoft.ActiveBasic"
-	// この場合、entryNamespaceScopes は baseNamespaceScopes に所属している。
-	static bool IsBelong( const NamespaceScopes &baseNamespaceScopes, const NamespaceScopes &entryNamespaceScopes )
-	{
-		if( baseNamespaceScopes.size() > entryNamespaceScopes.size() ){
-			return false;
-		}
-
-		for( int i=0; i<(int)baseNamespaceScopes.size(); i++ ){
-			if( baseNamespaceScopes[i] != entryNamespaceScopes[i] ){
-				return false;
-			}
-		}
-		return true;
-	}
-};
-
-class NamespaceScopesCollection : public vector<NamespaceScopes>
-{
-	// XMLシリアライズ用
-private:
-	friend class boost::serialization::access;
-	template<class Archive> void serialize(Archive& ar, const unsigned int version)
-	{
-		ar & boost::serialization::make_nvp("vector_NamespaceScopes", boost::serialization::base_object<vector<NamespaceScopes>>(*this));
-	}
-
-public:
-	bool IsExist( const NamespaceScopes &namespaceScopes ) const
-	{
-		const NamespaceScopesCollection &namespaceScopesCollection = *this;
-		BOOST_FOREACH( const NamespaceScopes &tempNamespaceScopes, namespaceScopesCollection ){
-			if( tempNamespaceScopes.IsEqual( namespaceScopes ) ){
-				return true;
-			}
-		}
-		return false;
-	}
-	bool IsExist( const string &namespaceStr ) const
-	{
-		return IsExist( NamespaceScopes( namespaceStr ) );
-	}
-
-	bool IsImported( const NamespaceScopes &namespaceScopes ) const
-	{
-		const NamespaceScopesCollection &namespaceScopesCollection = *this;
-		BOOST_FOREACH( const NamespaceScopes &tempNamespaceScopes, namespaceScopesCollection )
-		{
-			if( namespaceScopes.IsEqual( tempNamespaceScopes ) )
-			{
-				return true;
-			}
-		}
-		return false;
-	}
-
-	void SplitNamespace( const char *fullName, char *namespaceStr, char *simpleName ) const;
-};
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/NamespaceSupporter.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/NamespaceSupporter.h	(revision 504)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/NamespaceSupporter.h	(revision 505)
@@ -1,5 +1,3 @@
 #pragma once
-
-#include <Namespace.h>
 
 class NamespaceSupporter
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/Symbol.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/Symbol.h	(revision 504)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/Symbol.h	(revision 505)
@@ -5,5 +5,4 @@
 
 #include <BoostSerializationSupport.h>
-#include <Namespace.h>
 
 using namespace std;
Index: trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h	(revision 504)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/include/TypeDef.h	(revision 505)
@@ -4,5 +4,4 @@
 #include <string>
 
-#include <Namespace.h>
 #include <Type.h>
 #include <Symbol.h>