Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 512)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 513)
@@ -14,56 +14,4 @@
 using namespace ActiveBasic::Compiler;
 
-
-Interface::Interface( const CClass *pInterfaceClass, const Types &actualTypeParameters )
-	: DynamicMethodsPrototype()
-	, pInterfaceClass( pInterfaceClass )
-	, vtblOffset( -1 )
-	, actualTypeParameters( actualTypeParameters )
-{
-	//メソッドをコピー
-	BOOST_FOREACH( const CMethod *pBaseMethod, pInterfaceClass->GetDynamicMethods() )
-	{
-		CMethod *pMethod = new DynamicMethod( *pBaseMethod );
-
-		// アクセシビリティ
-		if(pBaseMethod->GetAccessibility() == Prototype::Private){
-			pMethod->SetAccessibility( Prototype::None );
-		}
-		else{
-			pMethod->SetAccessibility( pBaseMethod->GetAccessibility() );
-		}
-
-		//pobj_Inherits
-		// ※継承元のClassIndexをセット（入れ子継承を考慮する）
-		if(pBaseMethod->GetInheritsClassPtr()==0){
-			pMethod->SetInheritsClassPtr( pInterfaceClass );
-		}
-		else{
-			pMethod->SetInheritsClassPtr( pBaseMethod->GetInheritsClassPtr() );
-		}
-
-		AddDynamicMethods( pMethod );
-	}
-}
-
-std::string Interface::GetFullNameWithActualGenericTypeParameters() const
-{
-	std::string interfaceName = this->GetClass().GetFullName();
-	if( actualTypeParameters.size() )
-	{
-		std::string actualGenericTypesName;
-		BOOST_FOREACH( const Type &typeParameter, actualTypeParameters )
-		{
-			if( actualGenericTypesName.size() )
-			{
-				actualGenericTypesName += ",";
-			}
-			actualGenericTypesName += typeParameter.ToString();
-		}
-
-		interfaceName += "<" + actualGenericTypesName + ">";
-	}
-	return interfaceName;
-}
 
 bool CClass::IsClass() const
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Interface.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Interface.cpp	(revision 513)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Interface.cpp	(revision 513)
@@ -0,0 +1,53 @@
+#include "stdafx.h"
+
+Interface::Interface( const CClass *pInterfaceClass, const Types &actualTypeParameters )
+	: DynamicMethodsPrototype()
+	, pInterfaceClass( pInterfaceClass )
+	, vtblOffset( -1 )
+	, actualTypeParameters( actualTypeParameters )
+{
+	//メソッドをコピー
+	BOOST_FOREACH( const CMethod *pBaseMethod, pInterfaceClass->GetDynamicMethods() )
+	{
+		CMethod *pMethod = new DynamicMethod( *pBaseMethod );
+
+		// アクセシビリティ
+		if(pBaseMethod->GetAccessibility() == Prototype::Private){
+			pMethod->SetAccessibility( Prototype::None );
+		}
+		else{
+			pMethod->SetAccessibility( pBaseMethod->GetAccessibility() );
+		}
+
+		//pobj_Inherits
+		// ※継承元のClassIndexをセット（入れ子継承を考慮する）
+		if(pBaseMethod->GetInheritsClassPtr()==0){
+			pMethod->SetInheritsClassPtr( pInterfaceClass );
+		}
+		else{
+			pMethod->SetInheritsClassPtr( pBaseMethod->GetInheritsClassPtr() );
+		}
+
+		AddDynamicMethods( pMethod );
+	}
+}
+
+std::string Interface::GetFullNameWithActualGenericTypeParameters() const
+{
+	std::string interfaceName = this->GetClass().GetFullName();
+	if( actualTypeParameters.size() )
+	{
+		std::string actualGenericTypesName;
+		BOOST_FOREACH( const Type &typeParameter, actualTypeParameters )
+		{
+			if( actualGenericTypesName.size() )
+			{
+				actualGenericTypesName += ",";
+			}
+			actualGenericTypesName += typeParameter.ToString();
+		}
+
+		interfaceName += "<" + actualGenericTypesName + ">";
+	}
+	return interfaceName;
+}
Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp	(revision 512)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/ObjectModule.cpp	(revision 513)
@@ -52,4 +52,7 @@
 #include <Hashmap.h>
 #include <Configuration.h>
+#include <Type.h>
+#include <Method.h>
+#include <Interface.h>
 #include <Class.h>
 #include <Procedure.h>